pskc_get_device_expirydate(3)

NAME
pskc_get_device_expirydate - API function

SYNOPSIS
#include <pskc.h>

const struct tm * pskc_get_device_expirydate(pskc_key_t * key);

ARGUMENTS

pskc_key_t * key
    a pskc_key_t handle, from pskc_get_keypackage().

DESCRIPTION
Get the PSKC KeyPackage DeviceInfo ExpiryDate. This element denote the end date of a device (such as the one on a payment card, used when issue numbers are not printed on cards).

RETURNS
a constant struct (must not be deallocated) holding the content, or NULL if not set.

REPORTING BUGS
Report bugs to <oath-toolkit-help@nongnu.org>. libpskc home page: https://oath-toolkit.codeberg.page/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2009-2026 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.